/**
  ******************************************************************************
  * @file    Customer Character on hd44780 using STM32F4 Discovery
  * @author  Lee Dyche - Tecsploit.com
  * @version V1.0.0
  * @date    12/04/2014
  * @brief   The hd44780.h and hd44780.c were taken from http://www.kamami.com/ but modifed to make the custom
  * characters work.
  ******************************************************************************
  * @attention
  * This is program is provided as is with no warranty!!
  ******************************************************************************
  */
#include "stm32f4_discovery.h"
#include "stm32f4xx.h"
#include "hd44780.h"
#include <stdlib.h>
#include <string.h>

GPIO_InitTypeDef GPIO_InitStructure;

char * GetNumber(int number);
void Delay(__IO uint32_t nCount);
void SetFrame(int frame, char displayLines[2][16]);

int main (void){
    NVIC_SetVectorTable (NVIC_VectTab_FLASH, 0x0);
    RCC_AHB1PeriphClockCmd (RCC_AHB1Periph_GPIOE, ENABLE);
    LCD_Initialize();

    Delay(800000);

    int PACMAN_OPEN = 0;
    int PACMAN_CLOSED = 1;

    unsigned char pacmanopen[] = {0x1f,0x36,0x7c,0xf8,0xfc,0x7e,0x7f,0x3f};
    unsigned char pacmanclosed[] = {0x1c,0x36,0x7f,0xff,0xff,0x7f,0x7e,0x3c};

	LCD_DefineCharacter(PACMAN_OPEN,pacmanopen);
	LCD_DefineCharacter(PACMAN_CLOSED,pacmanclosed);

	LCD_GoTo (0,0);
	int x = 0;
	int y = 0;

    while (1){
    	//open
    	LCD_WriteData(PACMAN_CLOSED);
    	Delay(900000);
    	 LCD_GoTo (x,y);
    	//close
    	LCD_WriteData(PACMAN_OPEN);
    	LCD_GoTo (x,y);
        Delay(900000);
        LCD_WriteText(" ");
        x++;
    }
}

/**
  * @brief  Delay Function.
  * @param  nCount:specifies the Delay time length.
  * @retval None
  */
void Delay(__IO uint32_t nCount)
{
	nCount = nCount * 10;

  while(nCount--)
  {
  }
}
